
From: Olaf Hering <olh@suse.de>

ext3 as module is not possible in 2.6.6, clear_pages, called from clear_page,
is not exported.

Also, unexport clear_page(), which is an inline.


---

 25-akpm/arch/ppc/kernel/ppc_ksyms.c |    2 +-
 1 files changed, 1 insertion(+), 1 deletion(-)

diff -puN arch/ppc/kernel/ppc_ksyms.c~export-clear_pages-on-ppc32 arch/ppc/kernel/ppc_ksyms.c
--- 25/arch/ppc/kernel/ppc_ksyms.c~export-clear_pages-on-ppc32	Mon May 10 16:08:14 2004
+++ 25-akpm/arch/ppc/kernel/ppc_ksyms.c	Mon May 10 16:09:12 2004
@@ -72,7 +72,7 @@ int abs(int);
 
 extern unsigned long mm_ptov (unsigned long paddr);
 
-EXPORT_SYMBOL(clear_page);
+EXPORT_SYMBOL(clear_pages);
 EXPORT_SYMBOL(clear_user_page);
 EXPORT_SYMBOL(do_signal);
 EXPORT_SYMBOL(do_syscall_trace);

_
